GET
/webpush-campaign/:id/Get webpush campaign
You can return a specific webpush campaign.
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | yes | A unique identifier for the webpush campaign which is given by User.com automatically. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/webpush-campaign/:id/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function() {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open(
"GET",
"https://<your_app_subdomain>.user.com/api/public/webpush-campaign/:id/"
);
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/webpush-campaign/:id/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import requests
url = "https://<your_app_subdomain>.user.com/api/public/webpush-campaign/:id/"
headers = {'authorization': 'Token <your_64_char_api_key>'}
response = requests.get(url, headers=headers)
print(response.text)
Response
{
"id": 1,
"description": "Description of the web push campaign.",
"type": 2,
"eta": null,
"name": "Web Push Campaign 1",
"status": 2,
"messages": [
{
"id": 1,
"name": "Web push title",
"message_id": 1,
"message_title": "Web push title",
"message_body": "Message body",
"message_badge": null,
"message_icon": null,
"message_url": "https://\< path to your website >",
"message_require_interaction": true,
"message_doughnut_title": "",
"message_doughnut_url": "",
"message_actions": false,
"message_coffee_title": "",
"message_coffee_url": ""
}
],
"recipients": null,
"recipients_count": 0,
"created_at": "2021-03-25T16:01:09.687017Z",
"updated_at": "2021-03-25T16:01:15.161743Z",
"category": null,
"ttl": 259200,
"user_activity_schedule": false,
"advance_filtering": null,
"multiple_domains_warning": false,
"statistics": {
"sent": 0,
"scheduled": 0,
"delivered": 0,
"clicked": 0
}
}